> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2organizations assetsalt text



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/organizations/{orgId}/assets/alt-text
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
paths:
  /api/v2/organizations/{orgId}/assets/alt-text:
    post:
      tags:
        - Assets
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                assetId:
                  type: string
                  format: uuid
                language:
                  type: string
                  enum:
                    - de
                    - en
                  default: de
              required:
                - assetId
              additionalProperties: false
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                language:
                  type: string
                  enum:
                    - de
                    - en
                  default: de
              required:
                - file
      responses:
        '200':
          description: The generated alt text, ready to drop into the input
          content:
            application/json:
              schema:
                type: object
                properties:
                  altText:
                    type: string
                required:
                  - altText
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '413':
          description: Payload too large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````